//@ts-ignore
import React, { Component } from 'react';
import { PageDisplayDropdownModel, PageDisplayDropdownProps, PageDisplayType } from './types';
/**
 * Page display button control.
 *  @ignore exclude from docs
 **/
export declare class PageDisplayDropdown extends Component<PageDisplayDropdownProps, PageDisplayDropdownModel> {
    private _mounted;
    private _unregisterViewerStateChange?;
    private _dropdown;
    private _inputFocused;
    constructor(props: PageDisplayDropdownProps, context?: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    get viewer(): any;
    private get shortcutTip();
    get pageDisplayType(): PageDisplayType;
    get in17n(): any;
    clearDirty(): void;
//@ts-ignore
//@ts-ignore
    render(): React.JSX.Element;
    forceUpdateInternal(): void;
}
